List webhook endpoints
Your registered endpoints, with signing secrets shown as prefix and suffix.
GET
/
v3
/
webhooks
List webhook endpoints
curl --request GET \
--url https://api.orbitsearch.com/v3/webhooks \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.orbitsearch.com/v3/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.orbitsearch.com/v3/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"endpoints": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"event_types": [
"profile.updated"
],
"enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"secret_prefix": "<string>",
"secret_suffix": "<string>",
"last_delivery_at": "2023-11-07T05:31:56Z"
}
],
"supported_event_types": [
"profile.updated"
]
}{
"status": "failed",
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"status": "failed",
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"status": "failed",
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"status": "failed",
"error": {
"code": "<string>",
"message": "<string>"
}
}⌘I
List webhook endpoints
curl --request GET \
--url https://api.orbitsearch.com/v3/webhooks \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.orbitsearch.com/v3/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.orbitsearch.com/v3/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"endpoints": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"event_types": [
"profile.updated"
],
"enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"secret_prefix": "<string>",
"secret_suffix": "<string>",
"last_delivery_at": "2023-11-07T05:31:56Z"
}
],
"supported_event_types": [
"profile.updated"
]
}{
"status": "failed",
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"status": "failed",
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"status": "failed",
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"status": "failed",
"error": {
"code": "<string>",
"message": "<string>"
}
}